{ system ? builtins.currentSystem }:

let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
  callPackage = pkgs.lib.callPackageWith pkgs;
  pneuma = callPackage ./pneuma.nix { };

  dockerImage = pkg:
    pkgs.dockerTools.buildImage {
      name = "xena/pneuma";
      tag = pkg.version;

      contents = [ pkg ];

      config = {
        Cmd = [ "/bin/pneuma" ];
        WorkingDir = "/";
      };
    };

in dockerImage pneuma
